Page MenuHomePhabricator

Extend bgp config for bestpath as-path multipath-relax
Closed, ResolvedPublic

Description

hi,

please make it possible to configure "bestpath as-path multipath-relax":

http://docs.frrouting.org/en/latest/bgp.html: "Multi-path check

If multi-pathing is enabled, then check whether the routes not yet distinguished in preference may be considered equal. If bgp bestpath as-path multipath-relax is set, all such routes are considered equal, otherwise routes received via iBGP with identical AS_PATHs or routes received from eBGP neighbours in the same AS are considered equal.
"

Details

Difficulty level
Unknown (require assessment)
Version
1.2.1
Why the issue appeared?
Will be filled on close

Event Timeline

rherold created this task.May 20 2019, 7:08 PM
rherold created this object in space S1 VyOS Public.

hi,

I want to build a setup like described in:

https://docs.cumulusnetworks.com/display/DOCS/Border+Gateway+Protocol+-+BGP on point "BGP Unnumbered Interfaces"
or like in:
https://github.com/FRRouting/frr/issues/1829 but without different VRF.

Seems that many bgp configuration options are missing in current vyos

pasik added a subscriber: pasik.May 27 2019, 8:19 PM
c-po closed this task as Resolved.Jun 17 2019, 8:17 PM
c-po assigned this task to rherold.
c-po triaged this task as Wishlist priority.
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.